Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 250150 - Review Request: rarian - a replacement for scrollkeeper
Summary: Review Request: rarian - a replacement for scrollkeeper
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 226401 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-30 18:22 UTC by Matthew Barnes
Modified: 2008-01-23 12:26 UTC (History)
6 users (show)

Fixed In Version: rarian-0.5.6-2.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-02 17:44:50 UTC
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Barnes 2007-07-30 18:22:27 UTC
Spec URL:
http://baloo.boston.redhat.com/~mbarnes/rarian/rarian.spec

SRPM URL:
http://baloo.boston.redhat.com/~mbarnes/rarian/rarian-0.5.4-1.fc7.src.rpm

Description:

Rarian is a documentation meta-data library, designed as a replacement for Scrollkeeper.

I've split this into a main package and two subpackages:

rarian         Contains the Rarian library ("librarian").
rarian-devel   Contains a pkg-config file and some header files.
rarian-compat  Provides all the old scrollkeeper commands.

Comment 1 Matthias Clasen 2007-07-31 14:13:11 UTC
Trivia: 
- please use a full source url

- devel package needs to require pkgconfig

- compat needs to Requires(post): rarian, I think

- mock build fails with

make[3]: Entering directory `/builddir/build/BUILD/rarian-0.5.4/util'
Moving Files if needed
mkdir: cannot create directory `/var/lib/rarian': Permission denied
make[3]: *** [install-exec-hook] Error 1

I guess there is some DESTDIR missing somewhere

Comment 2 Matthew Barnes 2007-07-31 17:44:39 UTC
Posted an update with your suggestions.

SRPM URL:
http://baloo.boston.redhat.com/~mbarnes/rarian/rarian-0.5.4-2.fc7.src.rpm

Still investigating what's causing the mock failure.

Comment 3 Matthew Barnes 2007-08-01 16:00:42 UTC
Updated to 0.5.6.  This one builds successfully in mock.

SRPM URL:
http://baloo.boston.redhat.com/~mbarnes/rarian/rarian-0.5.6-1.fc7.src.rpm

Comment 4 Matthias Clasen 2007-08-01 17:01:02 UTC
rpmlint output:

[mclasen@dhcp83-186 Desktop]$ rpmlint rarian-0.5.6-1.fc8.i386.rpm 
E: rarian zero-length /usr/share/doc/rarian-0.5.6/AUTHORS

This one should be fixed upstream, I guess. I poked Don.
 
E: rarian explicit-lib-dependency libxslt

This is ok, because it is actually requiring /usr/bin/xsltproc here
Might want to add a comment next to the Requires: to explain that

W: rarian obsolete-not-provided scrollkeeper

I think the way you handle the Obsoletes/Provides here makes sense.

 rpmlint rarian-devel-0.5.6-1.fc8.i386.rpm 
W: rarian-devel no-documentation

Ignorable

 rpmlint rarian-compat-0.5.6-1.fc8.i386.rpm 
W: rarian-compat no-documentation

Ignorable

W: rarian-compat devel-file-in-non-devel-package /usr/bin/rarian-sk-config

rpmlint is just wrong here

W: rarian-compat one-line-command-in-%post /usr/bin/rarian-sk-update

I think that is fine, and using -p here would be pretty odd


Detailed review:

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: 
  - I think the -compat package should have a License: GPL,
    since the utils are GPL, not LGPL
  - if you want to preemptively adopt the new license field rules, the
    license tags should be LGPLv2+ and GPLv2+, respectively
license file: should include COPYING.LIB and COPYING.UTILS 
spec language: ok
spec legibility: ok
upstream sources: ok
buildable: ok
excludearch: n/a
build deps: ok
ldconfig: ok
relocatable: n/a
directory ownership: ok
file list dupes: ok
file permissions: ok
%clean: ok
macro use: ok
content: permissible
large docs: n/a
%doc: ok
headers: ok
static libs: n/a
pc files: ok
shared lib symlinks: ok
devel package: ok
la files: ok
gui apps: n/a
file ownership: ok
%install ok
utf8 filenames: ok

Comment 5 Matthew Barnes 2007-08-01 17:23:49 UTC
(In reply to comment #4)
> E: rarian explicit-lib-dependency libxslt
> 
> This is ok, because it is actually requiring /usr/bin/xsltproc here
> Might want to add a comment next to the Requires: to explain that

I figured rpmlint was just getting confused by the fact that the package itself
is named like a library.  Added a comment just the same.

Updated SRPM:
http://baloo.boston.redhat.com/~mbarnes/rarian/rarian-0.5.6-2.fc7.src.rpm

Comment 6 Matthias Clasen 2007-08-01 17:49:51 UTC
looking fine now. Approved.

Comment 7 Matthew Barnes 2007-08-02 16:27:33 UTC
New Package CVS Request
=======================
Package Name: rarian
Short Description: a documentation meta-data library, replaces scrollkeeper
Owners: mbarnes@redhat.com
Branches: (just devel)
InitialCC: mclasen@redhat.com

Comment 8 Kevin Fenzi 2007-08-02 16:46:00 UTC
cvs done.

Comment 9 Matthew Barnes 2007-08-02 17:44:50 UTC
Cool, thanks Kevin.  I guess we can close this now.

Comment 10 Bill Nottingham 2007-08-02 20:49:27 UTC
The obsoletes in this aren't going to work right.

As it stands, rarian will obsolete rarian-compat because of the Provides. What
you probably want is:

rarian: Obsoletes: scrollkeeper <= (last scrollkeeper release)
rarian-compat: Provides: scrollkeeper = <some random # higher than last
scrollkeeper release>

Comment 11 Matthew Barnes 2007-08-02 23:54:06 UTC
That makes sense.  Should be fixed in rarian-0.5.6-3.fc8.

Comment 12 Yijun Yuan 2007-08-04 13:12:09 UTC
Still not fixed:


[root@mstar packages]# rpm -Uvh rarian-0.5.6-3.fc8.i386.rpm --nodeps
Preparing...                ########################################### [100%]
   1:rarian                 ########################################### [100%]
[root@mstar packages]# rpm -q --provides rarian
librarian.so.0  
rarian = 0.5.6-3.fc8


Comment 13 Yijun Yuan 2007-08-04 13:15:09 UTC
@_@ /me just found that rarian-compat is another package

but yum install rarian will not bring in rarian-compat thus fails. yum-3.2.2-3.fc8

Comment 14 Mamoru TASAKA 2008-01-23 12:26:48 UTC
*** Bug 226401 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.